Update a plugin metadata on a gateway group
PUT /apisix/admin/plugin_metadata/{plugin_name}
PUT /apisix/admin/plugin_metadata/{plugin_name}Interactive request editor loads with JavaScript.
In: header
Path Parameters
Name of the plugin.
1 <= length <= 64Query Parameters
Gateway group ID. Optional when using the gateway group admin key to authenticate.
1 <= lengthRequest Body
application/json
Plugin metadata.
Response Body
application/json
application/json
curl -X PUT "$API_BASE_URL/apisix/admin/plugin_metadata/string?gateway_group_id=86fb9981-d9d2-4555-9df8-91ae92129335" \ -H "Content-Type: application/json" \ -d '{ "disabled_labels": { "status": [ "code" ] } }'Successfully retrieved or modified the plugin metadata.
{
"value": {
"disabled_labels": {
"status": [
"code"
]
}
}
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
PUT /apisix/admin/plugin_metadata/{plugin_name}
Update a plugin metadata on a gateway group
Update the shared metadata configuration for a specific plugin type in the gateway group. The change affects behavior of all plugin instances that consume this metadata.
Required IAM Permission: Action gateway:UpdatePluginMetadata, Resource arn:api7:gateway:gatewaygroup/%s
Parameters
gateway_group_id(query, string, required): Gateway group ID. Optional when using the gateway group admin key to authenticate.plugin_name(path, string, required): Name of the plugin.
Request body
Content type: application/json
Responses
200: Successfully retrieved or modified the plugin metadata.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(object, optional): Plugin metadata.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X PUT '$API_BASE_URL/apisix/admin/plugin_metadata/{plugin_name}'